Subject: Re: bug#21380: 25.0.50; GTK-induced segfault when scheduling timer from window-configuration-change-hook

From: Pip Cet <[email-masked]>
Date: Sun, 30 Aug 2015 18:20:42 +0000

On Sun, Aug 30, 2015 at 6:10 PM, martin rudalics <[email-masked]> wrote:

> Remarkable.  I don't remember why I added them.  And obviously I have no
> idea why I wrote the ChangeLog entry in reverse.  Just as if I read diff
> output in the wrong direction.
>

I thought it might have been ANTINEWS month and I missed it :-)

> > And my current understanding is this bug would not occur if that call
> were
> > removed. The same issue applies to the change to x_set_window_size, but
> I'm
> > not certain about removing either call.
>
> Maybe.  But the cause of the SEGFAULT must be elsewhere.  I have no
> idea how
>
> 4. make_list interrupted by QUIT
>
> could happen "while the temporary copy is being created" when
> timer_check has set Vinhibit_quit to t.
>

inhibit_quit inhibits process_quit_flag(), but not
process_pending_signals(), if I'm reading this correctly:

#define QUIT                        \
  do {                            \
    if (!NILP (Vquit_flag) && NILP (Vinhibit_quit))    \
      process_quit_flag ();                \
    else if (pending_signals)                \
      process_pending_signals ();            \
  } while (false)

Maybe it should.

Regards,
Pip